##### 7.7.18.0. allExtOfLeft

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  allExtOfLeft(M),

Return:
  list, entries are ext-modules

Assume:
  M presents a left module of finite left projective dimension n

Purpose:
  For a left module presented by M over the basering D,
  compute a list T, whose entry T[i+1] is a matrix, presenting the right module Ext^i_D(M,D) for i=0..n

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x,y,z),dp;
    matrix R[6][4]=
    0,-2*x,z-2*y-x,-1,
    0,z-2*x,2*y-3*x,1,
    z,-6*x,-2*y-5*x,-1,
    0,y-x,y-x,0,
    y,-x,-y-x,0,
    x,-x,-2*x,0;
    // coker(R) consider the left module M=D^6/D^4R
    list T=allExtOfLeft(transpose(R));
    print(T[1]);
    ==> 0
    print(T[2]);
    ==> 1,0,0,
    ==> 0,1,0,
    ==> 0,0,1
    print(T[3]);
    ==> 0,0, z,4y-z,4x-z,
    ==> 0,-2,1,0,   0,
    ==> 1,0, 0,0,   0,
    ==> 0,1, 0,0,   0
    print(T[4]);
    ==> z,y,x
    // right modules coker(T[i].)!!

User manual for Singular version 4-0-3, 2016, generated by texi2html.